#delimit;

clear all;
/*generate an accurate age for the childhealth file*/;

use c:\statalang\childhealth\childhealth_05m;

gen Age1999=(d(1aug1999)-Bdate)/365.25;  /*age on start of survey*/

label var  Age1999 "gen Age1999=(d(1aug1999)-Bdate)/365.25";


sort Hhid PCode;

merge Hhid PCode using c:\statalang\householdmod\householdmembers_03;

keep if  _merge==3 | _merge==1;
drop _merge;

keep Hhid ParCode PCode ChildNam ParentNa DayOfVis MonthOfV YearOfVi 
Intervie Intervi1 ModuleSt ModuleS1 ModuleEn ModuleE1 Cooperat Addition 
Bdate Height Weight Immuniza Immuniz1 WeightAt RecallOr BreastFe MonthsBr 
MonthsB1 AttendCr HalfOrFu BCG BCGPrim BCGBoost Polio1 PolioPr1 PolioB1
 Polio2 PolioPr2 PolioB2 Polio3 PolioPr3 PolioB3 DTP1 DTPPr1 DTPB1 DTP2 DTPPr2 
DTPB2 DTP3 DTPPr3 DTPB3 Hepatit1 HepatPr1 HepatBo1 Hepatit2 HepatPr2 HepatBo2 
Hepatit3 HepatPr3 HepatBo3 Measels MeaselsP MeaselsB Other Age1999 Age Gender;

rename Gender Sex;

replace Age1999=Age if Age1999==.;   /*replace those ages that are missing with ages from the household module, 
these will not be as accurate as they are in years*/;

drop Age;

gen myear=(1900+YearOfVi) if  YearOfVi<1900;  /*get dates into 4 digits so Stata understands)*/;
replace myear=YearOfVi if YearOfVi>=1900;  /*include those that were already 4 digits*/;
gen Mdate=mdy(MonthOfV, DayOfVis,myear);   /*generates elapsed dates*/;
format Mdate %dN/D/Y;   /*format the variable so the dates are displayed nicely in stata*/;

drop myear;
label var  Mdate "Date of visit";

drop DayOfVis MonthOfV YearOfVi;


sort Hhid PCode;

merge Hhid using c:\statalang\weights\strata_05;

keep if _merge==3;

drop _merge;
compress;

order  Hhid ParCode PCode ChildNam ParentNa Mdate Intervie Intervi1
 ModuleSt ModuleS1 ModuleEn ModuleE1 Cooperat Addition Bdate  Age1999 Height Weight Sex;

/*add the missing Sex values*/;

replace Sex=2 if Hhid==120004503 & PCode==6;
replace Sex=2 if Hhid==120005801 & PCode==11;
replace Sex=2 if Hhid==120005811 & PCode==6;
replace Sex=2 if Hhid==120005811 & PCode==7;
replace Sex=2 if Hhid==120007006 & PCode==12;
replace Sex=2 if Hhid==120007006 & PCode==13;
replace Sex=2 if Hhid==120007406 & PCode==7;
replace Sex=2 if Hhid==120007909 & PCode==4;
replace Sex=2 if Hhid==120008221 & PCode==3;
replace Sex=2 if Hhid==121003327 & PCode==8;
replace Sex=2 if Hhid==121004912 & PCode==2;
replace Sex=2 if Hhid==120008412 & PCode==1;

replace Sex=1 if Hhid==120005811 & PCode==8;
replace Sex=1 if Hhid==120005811 & PCode==9;
replace Sex=1 if Hhid==120006708 & PCode==7;
replace Sex=1 if Hhid==120007006 & PCode==11;
replace Sex=1 if Hhid==120007202 & PCode==7;
replace Sex=1 if Hhid==120008219 & PCode==8;
replace Sex=1 if Hhid==120008424 & PCode==11;
replace Sex=1 if Hhid==120008424 & PCode==12;
replace Sex=1 if Hhid==120008424 & PCode==13;
replace Sex=1 if Hhid==120011809 & PCode==5;
replace Sex=1 if Hhid==120011817 & PCode==3;
replace Sex=1 if Hhid==121000506 & PCode==3;
replace Sex=1 if Hhid==121003327 & PCode==7;



sort Hhid PCode;

save c:\statalang\childhealth\childhealth_06m,replace;
