#delimit;

*File used: C:\statalang\childhealth\childhealthmeasurementsmodul.dta, from access database*;
*program labels and orders child health  module variables*;

clear all;

use C:\statalang\childhealth\childhealthmeasurementsmodul.dta,replace;

label data "Child Health Measurements Module";

rename Househol Hhid;

destring Hhid PCode CCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";	    					
label var  CCode 	"Cover Q2a Code of child";	
label var  ChildNam  "Cover Q2a Name of child";	
label var  ParentNa  "Cover Q2b Name of adult";	
label var  DayOfVis  "Cover Q3 Day of visit";	
label var  MonthOfV "Cover Q3 Month of visit";	
label var  YearOfVi "Cover Q3 Year of visit";	
label var  Intervie  "Cover Q4 Interviewer code";	
label var  Intervi1  "Cover Q4 Interviewer code";	
label var  ModuleSt "Cover Q5 Starting time of module, hour"; 	
label var  ModuleS1 "Cover Q5 Starting time of module, minute";	
label var  ModuleEn  "Cover Q6 Ending hour of module";	
label var  ModuleE1 "Cover Q6 Ending minute of module";	
label var  Cooperat  "Cover Q7 Co-operation level of respondent";	
label var  Addition  "Cover Q8 Additional comments about health measurements";	
label var  ChildDat "QL1 Child's date of birth YYMMDD";	
label var  Height	"QL2 Child's height (centimeters)";
label var  Weight	"QL3 Child's weight (kilograms)";
label var  Immuniza  "QL4 Do you have an immunisation card for this child?";	
label var  Immuniz1 "QL5 Are the child's immunisations up to date?";	
label var  WeightAt "QL6 How much did this child weigh at birth?";	
label var  RecallOr  "QL6 R if from recall or C if from card";	
label var  BreastFe  "QL7 Was this child ever breast-fed?";	
label var  MonthsBr "QL8 For how many months was the child breast-fed with only breast milk?";	
label var  MonthsB1 "QL9 For how many months was the child breast-fed with other food also?";	
label var  AttendCr  "QL10 Does this child attend a creche?";	
label var  HalfOrFu  "QL11 Is it half day or full day?";	
label var  BCG 	"BCG Immunisation?";
label var  BCGPrima "BCG Primary, day";	
label var  BCGPrim1 "BCG Primary, month";	
label var  BCGPrim2  "BCG Primary, year";	
label var  BCGBoost  "BCG Booster,day";	
label var  BCGBoos1 "BCG Booster,month";	
label var  BCGBoos2 "BCG Booster,year";	
label var  Polio1 	"Polio 1";
label var  Polio1Pr  "Polio 1 Primary,day";	
label var  Polio1P1 "Polio 1 Primary,month";	
label var  Polio1P2 "Polio  1 Primary,year";	
label var  Polio1Bo "Polio 1 Booster, day";	
label var  Polio1B1 "Polio 1 Booster, month";	
label var  Polio1B2 "Polio 1 Booster, year";	
label var  Polio2 	"Polio 2";
label var  Polio2Pr  "Polio 2 Primary, day";	
label var  Polio2P1 "Polio 2 Primary, month";	
label var  Polio2P2 "Polio 2 Primary, year";	
label var  Polio2Bo "Polio 2 Booster, day";	
label var  Polio2B1 "Polio 2 Booster, month";	
label var  Polio2B2 "Polio 2 Booster, year";	
label var  Polio3 	"Polio 3";
label var  Polio3Pr "Polio 3 Primary,day";	
label var  Polio3P1 "Polio 3 Primary, month";	
label var  Polio3P2 "Polio 3 primary, year";	
label var  Polio3Bo "Polio 3 Booster, day";	
label var  Polio3B1 "Polio 3 Booster, month";	
label var  Polio3B2 "Polio 3 Booster, year";	
label var  DTP1"DTP 1";
label var  DTP1Prim " DTP 1 Primary, day";	
label var  DTP1Pri1 "DTP 1 Primary, month";	
label var  DTP1Pri2 "DTP 1 Primary, year";	
label var  DTP1Boos  "DTP 1 Booster,day";	
label var  DTP1Boo1 "DTP 1 Booster,month";	
label var  DTP1Boo2 "DTP 1 Booster, year";	
label var  DTP2 	"DTP 2";
label var  DTP2Prim "DTP 2 Primary, day"; 	
label var  DTP2Pri1 "DTP 2 Primary, month";	
label var  DTP2Pri2 "DTP 2 Primary, year";	
label var  DTP2Boos "DTP 2 Booster,day";	
label var  DTP2Boo1 "DTP 2 Booster,month";	
label var  DTP2Boo2 "DTP 2 Booster, year";	
label var  DTP3 	"DTP 3 ";
label var  DTP3Prim "DTP 3 Primary, day"; 	
label var  DTP3Pri1 "DTP 3 Primary, month";	
label var  DTP3Pri2 "DTP 3 Primary, year";	
label var  DTP3Boos "DTP 3 Booster,day";	
label var  DTP3Boo1 "DTP 3 Booster,month";	
label var  DTP3Boo2 "DTP 3 Booster, year";	
label var  Hepatitu  "Hepatitus B 1";	
label var  Hepatit1 "Hepatitus B 1 Primary, day";	
label var  Hepatit2  "Hepatitus B 1 Primary,month";	
label var  Hepatit3 "Hepatitus B 1 Primary, year";	
label var  Hepatit4  "Hepatitus B 1 Booster, day";	
label var  Hepatit5  "Hepatitus B 1 Booster, month";
label var  Hepatit6 "Hepatitus B 1 Booster, year";	
label var  Hepatit7  "Hepatitus B 2";	
label var  Hepatit8 "Hepatitus B 2 Primary, day";	
label var  Hepatit9 "Hepatitus B 2 Primary, month";	
label var  Hepati10 "Hepatitus B 2 Primary, year";	
label var  Hepati11 "Hepatitus B 2 Booster, day";	
label var  Hepati12 "Hepatitus B 2 Booster, month";	
label var  Hepati13 "Hepatitus B 2 Booster, year";	
label var  Hepati14 "Hepatitus B 3";	
label var  Hepati15 "Hepatitus B 3 Primary, day";	
label var  Hepati16 "Hepatitus B 3 Primary, month";	
label var  Hepati17 "Hepatitus B 3 Primary, year";	
label var  Hepati18  "Hepatitus B 3 Booster, day";	
label var  Hepati19 "Hepatitus B 3 Booster, month";	
label var  Hepati20 "Hepatitus B 3 Booster, year";	 
label var  Measels "Measels";	
label var  MeaselsP "Measels Primary,day";	
label var  Measels1 "Measels Primary, month";	
label var  Measels2 "Measels Primary, year";	
label var  MeaselsB "Measels Booster, day";	
label var  Measels1 "Measels Booster, month";	
label var  Measels2 "Measels Booster, year";	
label var  Other 	"Specify other";


compress;
order Hhid PCode CCode;
sort Hhid PCode CCode;

save C:\statalang\childhealth\childhealth_01.dta,replace;






