****************************************************************************************************
*This file corrects the AgeNow and YearBorn variables in householdmembers_01.dta*
*It also calculates a single age variable Age from the two*
****************************************************************************************************

#delimit;
clear all;

use c:\statalang\householdmod\householdmembers_02.dta;

keep Hhid PCode AgeNow YearBorn;

replace YearBorn=1991 if Hhid==121003321 & PCode==4;    *Correction of database from original question*;
replace YearBorn=. if Hhid==116001312 & PCode==6;


gen Age=0;

replace Age=(1999-YearBorn) if YearBorn~=.;
replace Age=999 if AgeNow==999;
replace Age=AgeNow if YearBorn==.;
replace Age=. if Age==999;
replace Age=17 if AgeNow==17; /*put those that had not turned 18 yet back to 17";
replace Age=54 if AgeNow==54;
list Hhid PCode AgeNow YearBorn Age if Age<=0|Age==.;

*120008421 and 121003328 are correct as missing values*;

label var Age "Age of respondent";

drop AgeNow YearBorn;
compress;

sort Hhid PCode;


save c:\statalang\householdmod\derived\hhage_01.dta,replace;











