#delimit;

*File used: householdmod.dta, from access database*;
*program labels and orders household module variables*;


clear all;

use c:\statalang\householdmod\householdmod.dta,replace;

rename Househol Hhid;

destring Hhid; *This program is from STB 37 dm45*
sort Hhid;

label data "Household module";

label var Hhid "Household ID";

*the address info is not included, mag district is in Hhid etc*;

drop  Househo1 Househo2 Househo3 Magister LocalAut Telephon;


label var ModuleRe "Cover Q5-name of respondent";
label var Code "Cover Q5-Pcode of respondent";
label var DayOfVis "Cover Q6-Day of visit";
label var MonthOfV "Cover Q6-Month of visit";
label var YearOfVi "Cover Q6-Year of visit";
label var Intervie "Cover Q7-First interviewer code";
label var Intervi1  "Cover Q7-Second interviewer code";
label var NumberHo "Cover Q8-Number of HH members";
label var Total55A "Cover Q8-Number >=55";
label var Total18T "Cover Q8-Number 18-54";
label var Total0To "Cover Q8-Number 0-17";
label var DayNextI "Cover Q9-Day of next visit";
label var MonthNex "Cover Q9-Month of next visit";
label var YearNext "Cover Q9-Year of next visit";
label var HourNext "Cover Q9-Hour of next visit";
label var MinuteNe "Cover Q9-Minute of next visit";
label var ModuleSt "QA0.2 Hour module started";
label var ModuleS1 "QA0.2 Minute module started";
label var Househo4 "QA0.3 Name of HH head";
label var HeadCode "QA0.3 Code of HH head";
label var MostMone "QA0.4 Most money knowledge";
label var MostMon1 "QA0.4 Most money know code";
label var NotMenti "QA2 Not mentioned boarders etc.";
label var HowManyP "QA2a How many such people?";
label var HasAnyon "QA3 Has anyone in house died?";
label var AnyoneMo "QA4 Has anyone moved out?";
label var Race "QA5 Race of respondent";
label define race 1 "Black" 2 "White" 3 "Coloured" 4 "Asian";
label val Race race;
label var YearsHea "QA7 Years head lived in HH";
label var YearFirs "Qa7a Year first member came here";
label var SingleOr "QA8.1 Single/Multiple dwelling";
label var ReceiveO "QB1.16 Other money received";
label var MoneySpe "QB2 Estimated money spent month";
label var GrowOwnV "QB4 HH grow own vegetables?";
label var Vegetabl "QB4a Value of grown veg";
label var Suppleme "QB4b Supplemental meals";
label var Househo5 "QB5 Pooled money?";
label var Househo6 "QB6 Bank or savings account";
label var WhyNotBa "QB6b Why no bank account";
label var Househo7 "QB7.1 Stokvel/gooi gooi";
label var WhyNotSt "QB7.1b Why not stokvel";
label var Househo8 "QB7.2 Life insurance?";
label var Househo9 "QB8 Livestock?";
label var Househ10 "QB8a How many chickens etc?";
label var Househ11 "QB8b How many pigs?";
label var Househ12 "QB8c How many horses etc?";
label var Househ13 "QB8d How many sheep/goats";
label var Househ14 "QB8e How many cows?";
label var Househ15 "QB9 Hire purchase?";
label var Househ16 "QB9a What items on hp";
label var Househ17 "QB10 Not make payments?";
label var Househ18 "QB10a What was the item?";
label var Househ19 "QB10b Why not make payment?";
label var Househ20 "QB11 Cash or credit?";
label var MealieMe "QB12.1 Mealie meal size grams";
label var MealieM1 "QB12.1 Mealie meal cost,cash";
label var MealieM2 "QB12.1 Mealie meal cost,credit";
label var FlourSiz "QB12.2 Flour size grams";
label var FlourCas "QB12.2 Flour cost,cash";
label var FlourCre "QB12.2 Flour cost,credit";
label var SampSize "QB12.3 Samp size grams";
label var SampCash "QB12.3 Samp cost,cash";
label var SampCred "QB12.3 Samp cost,credit";
label var Dwelling "QB13.1 Dwelling,owned,rented";
label var HomePaid "QB13.2a Home paid off";
label var SkipMeal "QB15 Skip,reduce meals?";
label var OftenSki "QB15a How often skip,reduce meals?";
label var NotEatWh "QB15b Not eat for whole day?";
label var OftenNot "QB15c How often this happen?";
label var SkipChil "QB15d Cut childs meal?";
label var OftenSk1 "QB15e How often happen?";
label var Financia "QB16 Financial situation?";
label var Comforta "QB17 Money for comfort?";
label var HelpFami "QB18.1.1 Help violence";
label var HelpAlco "QB18.1.2 Help alcohol";
label var HelpPhys "QB18.1.3 Help physical disability";
label var HelpMent "QB18.1.4 Help mental disability";
label var HelpElde "QB18.1.5 Help elderly";
label var HelpPreg "QB18.1.6 Help pregnancy";
label var HelpUnem "QB18.1.7 Help unemployment";
label var HelpAids "QB18.1.8 Help HIV/AIDS";
label var HelpOthe "QB18.1.9 Help other";
label var HelpOth1 "QB18.1.9 Help other specified";
label var DTCInAre "QB18.2 District Transformation Commitee DTC";
label var DTCMembe "QB18.2a Member of DTC";
label var WelfareM "QB18.3 Welfare member";
label var Communit "QB18.4 Community centre in area?";
label var Sufficie "QB18.5 Sufficient creches?";
label var EndingHo "QB19.1 Ending hour of module";
label var EndingMi "QB19.1 Ending minute of module";
label var Comprehe "QB19.3 Comprehension level";
label var Cooperat "QB19.4 Cooperation level";
label var Assistan "QB19.5 Assistance?";
label var Addition "QB19.7 Additional information";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;

format Hhid %10.0f;

compress;
sort Hhid;
save c:\statalang\householdmod\householdmod_01,replace;


