#delimit;

*File used: C:\statalang\older\olderphysicalhea.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\olderphysicalhea.dta,replace;

label data "Section E Older Module Physical Health";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
   	
 label var  HealthAt  "QE1 Health at present?";
 label var  HealthYe  "QE2 Health better or worse than 1 year ago?";
 label var  GetAroun  "QE3 Get around freely etc?";	
 label var  HeartTro  "QE4.1a Heart trouble/angina";	
 label var  HeartTr1  "Qe4.1b First time told?";	
 label var  HeartTr2  "QE4.1c Received medication?";	
 label var  Stroke	"QE4.2a Stroke?";	
 label var  StrokeFi	"QE4.2b First time told?";
 label var  StrokeMe	"QE4.2c Received medication?";
 label var  HighChol  	"QE4.3a High cholesterol";
 label var  HighCho1  	"QE4.3b First time told?";
 label var  HighCho2  	"QE4.3c Received medication?";
 label var  Diabetes  	"QE4.4a Diabetes";
 label var  Diabete1  	"QE4.4b First time told?";
 label var  Diabete2  	"QE4.4c Received medication?";
 label var  Emphysem  	"QE4.5a Emphysema";
 label var  Emphyse1  	"QE4.5b First time told?;";
 label var  Emphyse2  	"QE4.5c Received medication?";
 label var  Asthma    	"QE4.6a Asthma";
 label var  AsthmaFi  	"QE4.6b First time told?";
 label var  AsthmaMe  	"QE4.6c Received medication?";
 label var  Cancer    	"QE4.7a Cancer";
 label var  CancerFi  	"QE4.7b First time told?";
 label var  CancerMe  	"QE4.7c Received medication?";
 label var  LostWeig  	"QE4d Lost weight in last 6 weeks"; 
 label var  NightSwe  	"QE4e Night sweats?";
 label var  Persiste  	"QE4f Persistent cough?";
 label var  HealthPe  	"QE4g Seen a health person";
 label var  WhatWron  	"QE4h did they tell you what was wrong?";
 label var  Treatmen  	"QE4i Have you had any treatment";
 label var  StillTak  	"QE4j Are you still taking the treatment?";
 label var  WhyNotTr  	"QE4k Why not?";
 label var  TB        	"QE4m Ever diagnosed with TB?";
 label var  TBFirst   	"QE4n When was first time?";
 label var  TBMedica  	"QE4p Received medication for TB?";
 label var  Fallen    	"QE4o Anyone fallen or hurt in past 3 months?";
 label var  InsideOr  	"QE4p2 Happen inside or outside the house?";
 label var  DayHospi  	"QE5.1a Day Hospital";
 label var  DayHosp1  	"QE5.1b Satisfied?";
 label var  DayHosp2  	"QE5.1c Why not satisfied?";
 label var  MobileCl  	"QE5.2a Mobile clinic";
 label var  MobileC1  	"QE5.2b Satisfied?";
 label var  MobileC2  	"QE5.2c Why not satisfied?";
 label var  Governme  	"QE5.3a Governmant hospital/clinic";
 label var  Governm1  	"QE5.3b Satisfied?";
 label var  Governm2  	"QE5.3c Why not satisfied?";
 label var  PrivateH  	"QE5.4a Private hospital/clinic";
 label var  Private1  	"QE5.4b Satisfied?";
 label var  Private2  	"QE5.4c Why not satisfied?";
 label var  PrivateD  	"QE5.5a Private doctor";
 label var  PrivatDo  	"QE5.5b Satisfied?";
 label var  PrivatD1  	"QE5.5c Why not satisfied?";
 label var  Chemist   	"QE5.6a Chemist shop?";
 label var  ChemistS  	"QE5.6b Satisfied?";
 label var  ChemistW  	"QE5.6c Why not satisfied?";
 label var  Traditio  	"QE5.7a Traditional healer";
 label var  Traditi1  	"QE5.7b Satisfied?";
 label var  Traditi2  	"QE5.7c Why not satisfied?";
 label var  Dentist   	"QE5.8a Dentist";
 label var  DentistS  	"QE5.8b Satisfied?";
 label var  DentistW  	"QE5.8c Why not satisfied?";
 label var  Nurse     	"QE5.9a Community nurse";
 label var  NurseSat  	"QE5.9b Satisfied?";
 label var  NurseWhy  	"QE5.9c Why not satisfied?";
 label var  Priest    	"QE5.10a Community person eg. priest?";
 label var  PriestSa  	"QE5.10b Satisfied?";
 label var  PriestWh  	"QE5.10c Why not satisfied?";
 label var  RoutineC  	"QE6 Routine check-up?";
 label var  BloodPre  	"QE7 Blood pressure measured?";
 label var  BloodPr1  	"QE7a Blood pressure high normal low?";
 label var  MedicalS  	"QE8 Have you used a madical service in past 12 months?";
 label var  MedicalE  	"QE8a How were medical expenses paid?";
 label var  Medical1  	"QE8a Describe other?";
 label var  Dressing  	"QE9.1 Level of difficulty dressing";
 label var  Bathing   	"QE9.2 Level of difficulty bathing";
 label var  Eating    	"QE9.3 Level of difficulty eating";
 label var  Toiletti  	"QE9.4 Level of difficulty toiletting";
 label var  Bus       	"QE9.5 Level of difficulty bus,taxi";
 label var  LightWor  	"QE9.6 Level of difficulty light work";
 label var  Managing  	"QE9.7 Level of difficulty managing money";
 label var  Climbing  	"QE9.8 Level of difficulty climbing stairs";
 label var  LiftingO  	"QE9.9 Level of difficulty lifting objects";
 label var  Walking   	"QE9.10 Level of difficulty walking 200-300m";
 label var  Spectacl  	"QE10.1a Use spectacles or glasses";
 label var  VisionTe  	"QE10.1b Vision last tested?";
 label var  Vision    	"QE10.1c How is your vision?";
 label var  HearingA  	"QE10.2a Do you use a hearing aid?";
 label var  HowIsHea  	"QE10.2b How is your hearing?";
 label var  UseCane   	"QE10.3a Cane, crutch or walking frame?";
 label var  Mobility  	"QE10.3b How is your mobility?";
 label var  ToothPro  	"QE11.4 Tooth or mouth problems?";
 label var  CookSelf  	"QE11.5 Able to cook for your self?";
 label var  MotherAl  	"QE12.1a Mother alive or deceased?";
 label var  MotherAg  	"QE12.1b Mother age died?";
 label var  MotherOl  	"QE12.1c Older or younger than 50?";
 label var  MotherCa  	"QE12.1d Cause of death?";
 label var  MotherA1  	"QE12.1e How old is she?";
 label var  MotherHi  	"QE12.1f Highest level of education of mother";
 label var  FatherAl  	"QE12.2a Father alive or deceased?";
 label var  FatherAg  	"QE12.2b Father age died?";
 label var  FatherOl  	"QE12.2c Older or younger than 50?";
 label var  FatherCa  	"QE12.2d Cause of death?";
 label var  FatherA1  	"QE12.2e How old is he?";
 label var  FatherHi  	"QE12.2f Highest level of education of father";
 label var  LivingBr  	"QE13 How many living brothers or sisters?";


compress;
sort Hhid PCode;

save c:\statalang\older\olderhea_01.dta,replace;




