#delimit;

*File used: C:\statalang\younger\youngerphysicalhealt.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerphysicalhealt.dta,replace;

label data "Younger Adult Module Section I Physical Health";


rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var Health    "QI1 How would you describe your health at present?";	
label var HeartTro  "QI2.1a Heart trouble or angina";	
label var HeartTr1  "QI2.1b When was the first time you were told?";	
label var HeartTr2  "QI2.1c Have you received any medication or treatment?";	
label var Stroke    "QI2.2a Stroke";	
label var StrokeFi  "QI2.2b When was the first time you were told?";	
label var StrokeMe  	"QI2.2c Have you received any medication or treatment?";
label var Cholestr  "QI2.3a High cholesterol";	
label var Cholest1  "QI2.3b When was the first time you were told?";	
label var Cholest2  "QI2.3c Have you received any medication or treatment?";	
label var Diabetes  "QI2.4a Diabetes";	
label var Diabete1  "QI2.4b When was the first time you were told?";	
label var Diabete2  "QI2.4c Have you received any medication or treatment?";	
label var Emphysem  "QI2.5a Emphysema";	
label var Emphyse1  "QI2.5b	When was the first time you were told?";
label var Emphyse2  "QI2.5c Have you received any medication or treatment?";	
label var Asthma    	"QI2.6a Asthma";
label var AsthmaFi  	"QI2.6b When was the first time you were told?";
label var AsthmaMe  "QI2.6c Have you received any medication or treatment?";
label var Cancer    	"QI2.7a Cancer";
label var CancerFi  	"QI2.7b When was the first time you were told?";
label var CancerMe  	"QI2.7c Have you received any medication or treatment?";
label var LostWeig  	"QI3a Have you lost weight in the past six weeks?";
label var NightSwe  	"QI3b Have you had night sweats?";
label var Persiste  	"QI3c Have you had a persistent cough?";
label var HealthPe  	"QI3d Have you seen a health person for any of these problems?";
label var WhatWron  "QI3e Did they tell you what was wrong?";	
label var Treatmen  	"QI3f Have you had any treatement?";
label var StillTak  	"QI3g Are you still taking the treatment?";
label var WhyNot    "QI3h Why not?";	
label var TB        	"QI3i Have you ever been diagnosed with TB?";
label var FirstTim  	"QI3j When were you first told about this condition?";
label var Medicati  	"QI3k In the past 12 months received treatment from doctor etc.?";
label var Fallen    	"QI3l Has anyone fallen or hurt themselves in the past 3 months?";
label var Inside    	"QI3m Did this happen inside or outside the household?";
label var DayHospi  	"QI4.1a Day hospital";
label var DayHosp1  	"QI4.1b Satisfied?";
label var DayHosp2  	"QI4.1c Why were you not satisfied?";
label var MobileCl  	"QI4.2a Mobile clinic";
label var MobileC1  	"QI4.2b Satisfied?";
label var MobileC2  "QI4.2c Why were you not satisfied?";	
label var Governme  "QI4.3a	Government hospital or clinic";
label var Governm1  "QI4.3b Satisfied?";	
label var Governm2  "QI4.3c Why were you not satisfied?";	
label var PrivateH  "QI4.4a Private hospital or clinic";	
label var Private1  "QI4.4b Satisfied private hospital?";	
label var Private2  "QI4.4c Why were you not satisfied, private hospital?";	
label var PrivateD  "QI4.5a Private doctor?";	
label var PrivatDo  "QI4.5b Satisfied private doctor?";	
label var PrivatD1  "QI4.5c Why were you not satisfied,private doctor?";	
label var Chemist  "QI4.6a Chemist shop or pharmacy";	
label var ChemistS  "QI4.6b Satisfied?";	
label var ChemistR  	"QI4.6c Why were you not satisfied?";
label var Healer    "QI4.7a Traditional healer";	
label var HealerSa  "QI4.7b Satisfied?";	
label var HealerRe  "QI4.7c Why were you not satisfied?";	
label var Dentist   "QI4.8a Dentist";	
label var DentistS  "QI4.8b Satisfied?";	
label var DentistR  "QI4.8c Why were you not satisfied?";	
label var Nurse     "QI4.9a Community nurse who visits home";	
label var NurseSat  "QI4.9b Satisfied?";	
label var NurseRea  "QI4.9c Why were you not satisfied?";	
label var Person    "QI4.10a	Community person";
label var PersonSa  "QI4.10b Satisfied?";	
label var PersonRe  "QI4.10c	 Why were you not satisfied?";
label var RoutineC  	"QI4d Routine check-up in the last 12 months?";
label var BloodPre  	"QI5 Blood pressure tested in past 12 months?";
label var BloodPr1  	"QI6 Was your blood pressure high/norma/low?";
label var MedicalS  	"QI7a Have you used a medical service in the past 12 months?";
label var PayedBy   	"Q17b How were most medical expenses paid in past 12 months?";
label var PayedByD  "Q17b Description of other";	



compress;
sort Hhid PCode;

save C:\statalang\younger\youngerhealth_01.dta,replace;









