*log using "Z:\Datasets\South African Integrated Family Survey 1999\Data\datalist.log"

global out "Z:\Datasets\South African Integrated Family Survey 1999\Data_v_1.1\Stata"
cd "Z:\Datasets\South African Integrated Family Survey 1999\Data\stata12"

*ls 

use "SAIFS 1999 Adulthealth_02d.dta", clear

lab def Cooperat 1 "Excellen" 2 "Good" 3 "Average" 4 "Poor" 5 "Very poor"
lab val Cooperat Cooperat

lab def Referral 1 "Yes" 2 "No"
lab val Referral Referral

lab def HighBloo 1 "Yes" 2 "No" 999 "Don't know"
lab val HighBloo HighBloo

lab def FirstTim 1 "Yes" 2 "No" 999 "Don't know" 
lab val FirstTim FirstTim

lab def TakeMedi 1 "Yes" 2 "No" 999 "Don't know"
lab val TakeMedi TakeMedi

save "$out\SAIFS 1999 Adulthealth_02d.dta", replace


use "SAIFS 1999 Childhealth_08d.dta", clear

lab def Cooperat 1 "Excellen" 2 "Good" 3 "Average" 4 "Poor" 5 "Very poor"
lab val Cooperat Cooperat

lab def Immuniza 1 "Yes" 2 "No card" 3 "No you may not see it"
lab val Immuniza Immuniza

lab def Immuniz1 1 "Yes" 2 "No"
lab val Immuniz1 Immuniz1

lab def BreastFe 1 "Yes" 2 "No"
lab val BreastFe BreastFe

lab def AttendCr 1 "Yes" 2 "No"
lab val AttendCr AttendCr

lab def HalfOrFu 1 "Half day" 2 "Full day" 3 "Can't remember"
lab val HalfOrFu HalfOrFu

lab def yesno 1 "Yes" 2 "No"

foreach x of varlist BCG Polio1 Polio2 Polio3 DTP1 DTP2 DTP3 Hepatit1 Hepatit2 Hepatit3 Measels {
lab val `x' yesno
}
*

save "$out\SAIFS 1999 Childhealth_08d.dta", replace



use "SAIFS 1999 Hhage_01.dta", clear
save "$out\SAIFS 1999 Hhage_01.dta", replace



use "SAIFS 1999 Hhbank_01d.dta", clear
save "$out\SAIFS 1999 Hhbank_01d.dta", replace



use "SAIFS 1999 Hhintlang_01d.dta", clear
lab def Lang_I 1 "English" 2 "Xhosa" 3 "Afrikaans" 4 "Southern Sotho" 5 "Northern Sotho" 6 "Tswana" /*
*/ 7 "Swazi" 8 "Shangaan/Tsonga" 9 "Zulu" 10 "Ndebele" 11 "Venda" 12 "Indian language" 996 "Other"

lab val Lang_I Lang_I

save "$out\SAIFS 1999 Hhintlang_01d.dta", replace

use "SAIFS 1999 Hhbank_01d.dta", clear
save "$out\SAIFS 1999 Hhbank_01d.dta", replace


use "SAIFS 1999 Hhitems_01d.dta", clear

lab def a10 1 "Yes" 2 "No" 3 "Yes, but not working"

foreach x of varlist HaveTele HaveStov HaveSto2 HaveElec HaveTel2 HaveRefr HaveRadi HaveSewi HaveCar HaveBicy HaveMoto HaveFax {
lab val `x' a10
}
save "$out\SAIFS 1999 Hhitems_01d.dta", replace

use "SAIFS 1999 Hhlanguage_01d.dta", clear
lab def Lang_hh 1 "English" 2 "Xhosa" 3 "Afrikaans" 4 "Southern Sotho" 5 "Northern Sotho" 6 "Tswana" /*
*/ 7 "Swazi" 8 "Shangaan/Tsonga" 9 "Zulu" 10 "Ndebele" 11 "Venda" 12 "Indian language" 996 "Other"

lab val Lang_hh Lang_hh

save "$out\SAIFS 1999 Hhlanguage_01d.dta", replace


use "SAIFS 1999 Hhlife_01d.dta", clear
save "$out\SAIFS 1999 Hhlife_01d.dta", replace


use "SAIFS 1999 Hhmostsay_01d.dta", clear
save "$out\SAIFS 1999 Hhmostsay_01d.dta", replace


use "SAIFS 1999 Hhnamenextv_01d.dta", clear
save "$out\SAIFS 1999 Hhnamenextv_01d.dta", replace


use "SAIFS 1999 Hhpresent_01d.dta", clear
save "$out\SAIFS 1999 Hhpresent_01d.dta", replace


use "SAIFS 1999 Hhproaway_01d.dta", clear
lab def Pro_away 1 "Western cape" 2 "Eastern cape" 3 "Northern Cape" /*
*/ 4 "Free state" 5 "Kwazulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" /*
*/ 9 "Northern Province" 999 "Dont know"
lab val Pro_away Pro_away

save "$out\SAIFS 1999 Hhproaway_01d.dta", replace


use "SAIFS 1999 Hhsanwater_01d.dta", clear

lab def yesno 1 "Yes" 0 "No"

foreach x of varlist Dwell_in- OffSiteW {
lab val `x' yesno
}
*
save "$out\SAIFS 1999 Hhsanwater_01d.dta", replace


use "SAIFS 1999 Hhstokcode_01d.dta", clear
save "$out\SAIFS 1999 Hhstokcode_01d.dta", replace


use "SAIFS 1999 Hhtownaway_01d.dta", clear
save "$out\SAIFS 1999 Hhtownaway_01d.dta", replace

use "SAIFS 1999 Hhwelfaremem_01d.dta", clear
save "$out\SAIFS 1999 Hhwelfaremem_01d.dta", replace

use "SAIFS 1999 Householdbor_01d.dta", clear
lab def yesno 1 "Yes" 2 "No"

foreach x of varlist BankBorr BankStil Employer Employe3 FamilyBo FamilySt LenderBo LenderSt StokvelB StokvelS OtherBor OtherSti {
lab val `x' yesno
}
*
save "$out\SAIFS 1999 Householdbor_01d.dta", replace


use "SAIFS 1999 Householddie_01d.dta", clear

lab def Sex_d 1 "Male" 2 "Female"
lab val Sex_d Sex_d

lab def HeadOf_d 1 "Yes" 2 "No" 999 "Don't know"
lab val HeadOf_d HeadOf_d

lab def Relat_d 2 "Spouse/partner" 3 "Son/daughter" 4 "Son/daughter-in-law" /*
*/ 5 "Grandchild" 6 "Brother/sister" 7 "Brother/sister-in-law" 8 "Father/mother" /*
*/ 9 "Father/mother-in-law" 10 "Grandparent" 11 "Uncle/aunt" 12 "Nephew/niece" /*
*/ 13 "Cousin" 14 "Great-grandchild" 15 "Other family" 16 "Household help" /*
*/ 17 "Lodger" 18 "Friend" 999 "Dont know"
lab val Relat_d Relat_d

lab def HighE_d 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 
lab val HighE_d HighE_d

save "$out\SAIFS 1999 Householddie_01d.dta", replace


use "SAIFS 1999 Householddtc_01d.dta", clear
save "$out\SAIFS 1999 Householddtc_01d.dta", replace


use "SAIFS 1999 Householdexp_01d.dta", clear
save "$out\SAIFS 1999 Householdexp_01d.dta", replace


use "SAIFS 1999 Householdhelp_01d.dta", clear
save "$out\SAIFS 1999 Householdhelp_01d.dta", replace


use "SAIFS 1999 Householdhousingtype_01d.dta", clear

lab def HousingT 1 "Formal dwelling/house on a separate site" /*
*/ 2 "Traditional dwelling/hut" /*
*/ 3 "Flat in a block of flats" /*
*/ 4 "Town/cluster/semi-detached house (simplex, duplex or triplex)" /*
*/ 5 "Formal dwelling/house/flat/room in backyard" /*
*/ 6 "Informal dwelling/shack in backyard" /*
*/ 7 "Informal dwelling/shack NOT in backyard (eg in informal settlement)" /*
*/ 8 "Room in a hostel/compound for workers provided by employer or municipality" /*
*/ 9 "Other"
lab val HousingT HousingT

save "$out\SAIFS 1999 Householdhousingtype_01d.dta", replace


use "SAIFS 1999 Householdinc_02d.dta", clear
save "$out\SAIFS 1999 Householdinc_02d.dta", replace


use "SAIFS 1999 Householdmaterial_01d.dta", clear
lab def yesno 1 "Yes" 0 "No"

foreach x of varlist RoofCeme-RoofAsbe WallsBri-WallsAsb {
lab val `x' yesno
}
*
save "$out\SAIFS 1999 Householdmaterial_01d.dta", replace

use "SAIFS 1999 Householdmembers_03d.dta", clear
lab def Gender 1 "Male" 2 "Female"
lab val Gender Gender

lab def Relation 1 "Head" 2 "Spouse/partner" 3 "Son/daughter" 4 "Son/daughter-in-law" /*
*/ 5 "Grandchild" 6 "Brother/sister" 7 "Brother/sister-in-law" 8 "Father/mother" /*
*/ 9 "Father/mother-in-law" 10 "Grandparent" 11 "Uncle/aunt" 12 "Nephew/niece" /*
*/ 13 "Cousin" 14 "Great-grandchild" 15 "Other family" 16 "Household help" /*
*/ 17 "Lodger" 18 "Friend" 999 "Dont know"
lab val Relation Relation

lab def AlwaysLi 1 "Yes" 2 "No"
lab val AlwaysLi AlwaysLi

lab def HighestE 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 
lab val HighestE HighestE

lab def AbleToRe 1 "Yes" 2 "No" 999 "Don't know"
lab val AbleToRe AbleToRe

lab def InSchool 1 "Yes" 2 "No" 999 "Don't know"
lab val InSchool InSchool

lab def WhyNotIn 1 "Too young" 2 "Too old/finished" 3 "Ill/disabled" 4 "Pregnant/has child" 5 "School too hard" /*
*/ 6 "No money for fees" 7 "Needed to work" 8 "No school locally" 9 "No accommodation" 10 "Boycott" /*
*/ 11 "Unrest/violence" 996 "Other" 999 "Dont know"
lab val WhyNotIn WhyNotIn

lab def MaritalS 1 "Married" 2 "Living together" 3 "Separated" 4 "Divorced" 5 "Widowed" 6 "Never married"
lab val MaritalS MaritalS

lab def Polygamo 1 "Yes" 2 "No" 998 "Refuses to say" 999 "Don't know"
lab val Polygamo Polygamo

lab def MotherAl 1 "Alive in household" 2 "Alive not in household" 3 "Deceased" 999 "Don'tknow"
lab val MotherAl MotherAl

lab def FatherAl 1 "Alive in household" 2 "Alive not in household" 3 "Deceased" 999 "Don'tknow"
lab val FatherAl FatherAl

lab def LiveAnot 1 "Yes" 2 "No" 999 "Don't know"
lab val LiveAnot LiveAnot

lab def Permanen 1 "This home" 2 "Home where visits" 999 "Don't know"
lab val Permanen Permanen

lab def Province 1 "Western Cape" 2 "Eastern Cape" 3 "Nothern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" /*
*/ 7 "Gauteng" 8 "Mpumalanga" 9 "Northern Province" 999 "Don't know"
lab val Province Province

lab def LiveInAr 1 "Yes" 2 "No" 999 "Don't know"
lab val LiveInAr LiveInAr

lab def MostOrAl 1 "Most" 2 "All" 999 "Don't know"
lab val MostOrAl MostOrAl

lab def LiveSome 1 "Yes" 2 "No" 999 "Don't know"
lab val LiveSome LiveSome

lab def Provinc1 1 "Western Cape" 2 "Eastern Cape" 3 "Nothern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" /*
*/ 7 "Gauteng" 8 "Mpumalanga" 9 "Northern Province" 999 "Don't know"
lab val Provinc1 Provinc1

save "$out\SAIFS 1999 Householdmembers_03d.dta", replace


use "SAIFS 1999 Householdmod_01d.dta", clear

lab def NotMenti 1 "Yes" 2 "No"
lab val NotMenti NotMenti

lab def HasAnyon  1 "Most" 2 "All" 999 "Don't know"
lab val HasAnyon HasAnyon

lab def AnyoneMo  1 "Most" 2 "All" 999 "Don't know"
lab val AnyoneMo AnyoneMo

lab def SingleOr 1 "Single dwelling" 2 "Compound (multiple dwellings)"
lab val SingleOr SingleOr

lab def GrowOwnV 1 "Yes" 2 "No" 999 "Don't know"
lab val GrowOwnV GrowOwnV

lab def Suppleme 1 "Yes" 2 "No" 999 "Don't know"
lab val Suppleme Suppleme

lab def Househo6 1 "Yes" 2 "No" 999 "Don't know"
lab val Househo6 Househo6

lab def Househo7 1 "Yes" 2 "No" 999 "Don't know"
lab val Househo7 Househo7
lab val Househo8 Househo7
lab val Househo9 Househo7
lab val Househ15 Househo7
lab val Househ17 Househo7
lab val Househ20 Househo7

lab def Dwelling 1 "Owned" 2 "Rented" 3 "Free" 999 "Don't know"
lab val Dwelling Dwelling

lab def HomePaid 1 "Paid Off" 2 "Still paying" 3 "Not applicable" 999 "Don't know"
lab val HomePaid HomePaid

lab def SkipMeal 1 "Yes" 2 "No"
lab val SkipMeal SkipMeal

lab def OftenSki 1 "Almost every month" 2 "Some months but not every month" 3 "Only 1 or 2 months"
lab val OftenSki OftenSki

lab def NotEatWh 1 "Yes" 2 "No"
lab val NotEatWh NotEatWh

lab def OftenNot 1 "Almost every month" 2 "Some months but not every month" 3 "Only 1 or 2 months"
lab val OftenNot OftenNot

lab def SkipChil 1 "Yes" 2 "No"
lab val SkipChil SkipChil

lab def OftenSk1 1 "Almost every month" 2 "Some months but not every month" 3 "Only 1 or 2 months"
lab val OftenSk1 OftenSk1

lab def Financia 1 "Very comfortable" 2 "Comfortable" 3 "Just getting by" 4 "Poor" 5 "Extremely poor" 999 "Don't know"
lab val Financia Financia

*Could not find questions related to these variables: "HelpFami- Addition"

save "$out\SAIFS 1999 Householdmod_01d.dta", replace

use "SAIFS 1999 Householdmoveout_01d.dta", clear
lab def Sex_m 1 "Male" 2 "Female"
lab val Sex_m Sex_m

lab def Relat_m 1 "Head" 2 "Spouse/partner" 3 "Son/daughter" 4 "Son/daughter-in-law" /*
*/ 5 "Grandchild" 6 "Brother/sister" 7 "Brother/sister-in-law" 8 "Father/mother" /*
*/ 9 "Father/mother-in-law" 10 "Grandparent" 11 "Uncle/aunt" 12 "Nephew/niece" /*
*/ 13 "Cousin" 14 "Great-grandchild" 15 "Other family" 16 "Household help" /*
*/ 17 "Lodger" 18 "Friend" 999 "Dont know"
lab val Relat_m Relat_m

lab def WhyMoved 1 "Employment" 2 "School" 3 "Get own home" 4 "Change marital status" /*
*/ 5 "Live with other family" 6 "Personal Reasons" 7 "Political problems" 8 "Prison" 996 "Other" /*
*/ 997 "Can't remember" 999 "Don't know"
lab val WhyMoved WhyMoved

lab def WhatProv 1 "Western cape" 2 "Eastern cape" 3 "Northern Cape" /*
*/ 4 "Free state" 5 "Kwazulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" /*
*/ 9 "Northern Province" 999 "Dont know"
lab val WhatProv WhatProv

save "$out\SAIFS 1999 Householdmoveout_01d.dta", replace

use "SAIFS 1999 Householdorganise_01d.dta", clear
*Could not find questionnaire for variables in this data file
save "$out\SAIFS 1999 Householdorganise_01d.dta", replace

use "SAIFS 1999 Oincome.dta", clear
save "$out\SAIFS 1999 Oincome.dta", replace


use "SAIFS 1999 Olderchildren_01d.dta", clear
lab def Alive 1 "Alive, in household" 2 "Alive, not in household" 3 "Deceased, lived in HH" 4 "Deceased, didn'd live in HH" 999 "Don't know"
lab val Alive Alive

lab def Sex 1 "Son" 2 "Daughter"
lab val Sex Sex

lab def HighestL 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 

lab val HighestL HighestL

lab def MaritalS 1 "Married" 2 "Living together" 3 "Separated" 4 "Divorced" 5 "Widowed" 6 "Never married" 999 "Don't know"
lab val MaritalS MaritalS

lab def Province 1 "Western cape" 2 "Eastern cape" 3 "Northern Cape" /*
*/ 4 "Free state" 5 "Kwazulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" /*
*/ 9 "Northern Province" 999 "Dont know"
lab val Province Province

lab def HowOften 1 "Daily" 2 "Weekly" 3 "A few times a month" 4 "Monthly" 5 "A few times a year" 6 "Annually" 7 "Less often" 8 "Not applicable" 999 "Don't know"
lab val HowOften HowOften

save "$out\SAIFS 1999 Olderchildren_01d.dta", replace


use "SAIFS 1999 Olderchw_01d.dta", clear
lab def Changewo 1 "Reduced hours" 2 "Changed type of work" 3 "No change" 996 "Other" 997 "Can't remember" 999 "Don't know"
lab val Changewo

save "$out\SAIFS 1999 Olderchw_01d.dta", replace

use "SAIFS 1999 Oldergivemoney_01d.dta", clear
lab def Member 1 "Yes" 2 "No"
lab val Member Member

lab def Relation 1 "Head" 2 "Spouse/partner" 3 "Son/daughter" 4 "Son/daughter-in-law" /*
*/ 5 "Grandchild" 6 "Brother/sister" 7 "Brother/sister-in-law" 8 "Father/mother" /*
*/ 9 "Father/mother-in-law" 10 "Grandparent" 11 "Uncle/aunt" 12 "Nephew/niece" /*
*/ 13 "Cousin" 14 "Great-grandchild" 15 "Other family" 16 "Household help" /*
*/ 17 "Lodger" 18 "Friend" 999 "Dont know"
lab val Relation Relation

lab def Sex 1 "Male" 2 "Female"
lab val Sex Sex

lab def HighestL 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 

lab val HighestL HighestL

lab def MaritalS 1 "Married" 2 "Living together" 3 "Separated" 4 "Divorced" 5 "Widowed" 6 "Never married" 999 "Don't know"
lab val MaritalS MaritalS

lab def Province 1 "Western cape" 2 "Eastern cape" 3 "Northern Cape" /*
*/ 4 "Free state" 5 "Kwazulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" /*
*/ 9 "Northern Province" 999 "Dont know"
lab val Province Province

lab def OftenVis 1 "Daily" 2 "Weekly" 3 "A few times a month" 4 "Monthly" 5 "A few times a year" 6 "Annually" 7 "Less often" 8 "Not applicable" 999 "Don't know"
lab val OftenVis OftenVis

lab def Employed 1 "Yes" 2 "No"
lab val Employed Employed
*The variable label is misleading as it is quoted to refer to QC20.12 when it is for QC15.12

*lab def Occup_a1 1 "Yes" 2 "No"
*lab val Occup_a1 Occup_a1
*Same as above

save "$out\SAIFS 1999 Oldergivemoney_01d.dta", replace

use "SAIFS 1999 Olderhea_02d.dta", clear

lab def HealthAt 1 "Excellent" 2 "Good" 3 "Average" 4 "Poor" 5 "Very poor" 999 "Don't know"
lab val HealthAt HealthAt

lab def HealthYe 1 "Better now" 2 "Same" 3 "Worse now" 999 "Dont know"
lab val HealthYe HealthYe

lab def GetAroun 1 "Freely" 2 "With difficulty" 3 "With aid of cane" 4 "Am bed bound"
lab val GetAroun GetAroun

lab def E4a 1 "Yes" 2 "No"
lab def E4b 1 "In past 12 months" 2 ">12 months ago" 999 "Don't know"
lab def E4c 1 "Yes" 2 "No" 999 "Don't know"

foreach x of varlist HeartTro Stroke HighChol Diabetes Emphysem Asthma Cancer TB {
lab val `x' E4a
}
*

foreach x of varlist HeartTr1 StrokeFi HighCho1 Diabete1 Emphyse1 AsthmaFi CancerFi TBFirst {
lab val `x' E4b
}
*
foreach x of varlist HeartTr2 StrokeMe HighCho2 Diabete2 Emphyse2 AsthmaMe CancerMe TBMedica {
lab val `x' E4c
}
*

foreach x of varlist DayHospi DayHosp1 MobileCl MobileC1 Governme Governm1 PrivateH Private1 PrivateD PrivatDo Chemist ChemistS Traditio Traditi1 Dentist DentistS Nurse NurseSat Priest PriestSa {
lab val `x' E4a
}
*

*Problems with the variable label for TB

lab def RoutineC 1 "Yes" 2 "No"
lab val RoutineC RoutineC
lab val BloodPre RoutineC

lab def BloodPr1 1 "High" 2 "Normal" 3 "Low" 4 "Doctor din't say" 999 "Don't know"
lab val BloodPr1 BloodPr1

lab def MedicalS 1 "Yes" 2 "No"
lab val MedicalS MedicalS

lab def MedicalE 1 "Respondent" 2 "Family" 3 "Medical Aid" 4 "Employer" 5 "Public hospital" 996 "Other" 999 "Don't know"
lab val MedicalE MedicalE

lab def E9 1 "No difficulty" 2 "Difficult but can do with no help" 3 "Can do only with help" 4 "Can't do" 5 "Able to, but never do" 999 "Don't know"

foreach x of varlist Dressing - Walking {
lab val `x' E9
}
*

lab def Spectacl 1 "Yes" 2 "No"
lab val Spectacl Spectacl
lab val HearingA Spectacl
lab val UseCane Spectacl

lab def VisionTe 997 "Never" 999 "Can't remember"
lab val VisionTe VisionTe

lab def Vision 1 "Excellent" 2 "Good" 3 "Average" 4 "Poor" 5 "Very poor" 999 "Don't know"
lab val Vision Vision
lab val HowIsHea Vision
lab val Mobility Vision

lab def ToothPro 1 "Yes" 2 "No" 999 "Don't know"
lab val ToothPro ToothPro
lab val CookSelf ToothPro

lab def MotherAl 1 "Alive" 2 "Deceased" 999 "Don't know"
lab val MotherAl MotherAl

lab def MotherOl 1 "Older than 50" 2 "Younger than 50"
lab val MotherOl MotherOl

lab def MotherHi 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 
lab val MotherHi MotherHi

lab def FatherAl 1 "Alive" 2 "Deceased" 999 "Don't know"
lab val FatherAl FatherAl

lab def FatherOl 1 "Older than 50" 2 "Younger than 50"
lab val FatherOl FatherOl

lab def FatherHi 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 
lab val FatherHi FatherHi

save "$out\SAIFS 1999 Olderhea_02d.dta", replace


use "SAIFS 1999 Olderhelpa_01d.dta", clear
save "$out\SAIFS 1999 Olderhelpa_01d.dta", replace

use "SAIFS 1999 Olderjob_01d.dta", clear
lab def Job 1 "Regular pay job" 2 "Work for several" 3 "Do odd jobs" 4 "Work for self" 999 "Don't know"
lab val Job Job

save "$out\SAIFS 1999 Olderjob_01d.dta", replace


use "SAIFS 1999 Olderlang_01d.dta", clear
lab def Lang_old 1 "English" 2 "Xhosa" 3 "Afrikaans" 4 "Southern Sotho" 5 "Northern Sotho" 6 "Tswana" /*
*/ 7 "Swazi" 8 "Shangaan/Tsonga" 9 "Zulu" 10 "Ndebele" 11 "Venda" 12 "Indian language" 996 "Other"
lab val Lang_old Lang_old

save "$out\SAIFS 1999 Olderlang_01d.dta", replace


use "SAIFS 1999 Oldermh_01d.dta", clear
lab def F1 1 "Hardly ever" 2 "Some of the time" 3 "Most of the time"

foreach x of varlist Miserabl-NotGetGo {
lab val `x' F1
}
*

lab def Worried 1 "Yes" 2 "No" 998 "Refuses to say" 999 "Don't know"
lab val Worried Worried
lab val WorryMor Worried

lab def StillWo 1 "Ended" 2 "Still going on" 998 "Refuses to say" 999 "Don't know"
lab val StillWo StillWo

lab def WorryMos 1 "Yes" 2 "No" 998 "Refuses to say" 999 "Don't know"
lab val WorryMos WorryMos
lab val Difficul WorryMos
lab val Differen WorryMos

lab def Problems 1 "A lot" 2 "Some" 3 "A little" 4 "Not at all" 998 "Refuses to say" 999 "Don't know"
lab val Problems Problems

lab def MemoryLo 1 "Yes" 2 "No" 998 "Refuses to say" 999 "Don't know"
lab val MemoryLo MemoryLo
lab val Smoke MemoryLo

lab def AmountCi 1 "1-9" 2 "10-19" 3 "20-40" 4 "More than 4" 998 "Refuses to say" 999 "Don't know"
lab val AmountCi AmountCi

lab val RegularS MemoryLo
lab val DrinkAlc MemoryLo
lab val DrinkMor MemoryLo
lab val Househo1 MemoryLo

save "$out\SAIFS 1999 Oldermh_01d.dta", replace



use "SAIFS 1999 Oldermod_02d.dta", clear

lab def Proxy 1 "Respondent" 2 "Proxy"
lab val Proxy Proxy

lab def HighestL 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 
lab val HighestL HighestL

lab def Work 1 "Regular pay job" 2 "Worked for several" 3 "Odd jobs" /*
*/ 4 "Worked for self" 5 "Never worked" 6 "Housewife" 999 "Don't know"
lab val Work Work

lab def StopWork 1 "Yes" 2 "No" 997 "Can't remember"
lab val StopWork StopWork

lab def C7 1 "Applied" 2 "Did not apply" 999 "Don't know"

foreach x of varlist StatePen - SpouseRe {
lab val `x' C7
}
*
lab def RetireRe 1 "Yes" 2 "No"
lab val RetireRe RetireRe

lab def Providen 1 "Yes" 2 "No" 997 "Can't remember" 999 "Don't know"
lab val Providen Providen

lab val PensionF Providen

lab val Retireme Providen

lab def MonthlyE 997 "Can't remember"
lab val MonthlyE MonthlyE

lab val Retirem1 MonthlyE
lab val EarnMone Providen

lab val LookingF RetireRe
lab val OutsideG Providen

lab val Bank Providen
lab val Stokvel Providen
lab val LifeInsu Providen
lab val GivenMon Providen

lab def Comprehe 1 "Excellent" 2 "Good" 3 "Average" 4 "Poor" 5 "Very poor"
lab val Comprehe Comprehe
lab val Cooperat Comprehe

lab def Assistan 1 "No assistance" 2 "Help with some" 3 "Help with most"
lab val Assistan Assistan

save "$out\SAIFS 1999 Oldermod_02d.dta", replace


use "SAIFS 1999 Oldermoneysp_01d.dta", clear
save "$out\SAIFS 1999 Oldermoneysp_01d.dta", replace


use "SAIFS 1999 Oldermoney_01d.dta", clear
save "$out\SAIFS 1999 Oldermoney_01d.dta", replace

use "SAIFS 1999 Oldernext_01d.dta", clear
save "$out\SAIFS 1999 Oldernext_01d.dta", replace


use "SAIFS 1999 Olderpension_01d.dta", clear

lab def yesno 1 "Yes" 2 "No"
lab val StateOld yesno
lab val Disabili yesno
lab val Veterans yesno

lab def WhyNotSt 1 "Too young" 2 "Earn/own too much" 3 "Have applied, waiting" /*
*/ 4 "Temporary problem in receiving" 996 "Other" 999 "Don't know"
lab val WhyNotSt WhyNotSt

lab def ExpectFu 1 "Yes" 2 "No" 999 "Don't know"
lab val ExpectFu ExpectFu

lab def PensionM 1 "Pension is more" 2 "Pension is less" 3 "Pension same" 997 "Can't remember"
lab val PensionM PensionM

lab def HandOver 1 "Yes" 2 "No" 997 "Can't remember"
lab val HandOver HandOver

lab def EasierCr 1 "Yes" 2 "No" 3 "Don't buy on credit" 999 "Don't know"
lab val EasierCr EasierCr

save "$out\SAIFS 1999 Olderpension_01d.dta", replace

use "SAIFS 1999 Olderpresent_01d.dta", clear
save "$out\SAIFS 1999 Olderpresent_01d.dta", replace

use "SAIFS 1999 Olderreceive_01d.dta", clear

lab def Househo1 1 "Yes" 2 "No"
lab val Househo1 Househo1

lab def Relation 1 "Head" 2 "Spouse/partner" 3 "Son/daughter" 4 "Son/daughter-in-law" /*
*/ 5 "Grandchild" 6 "Brother/sister" 7 "Brother/sister-in-law" 8 "Father/mother" /*
*/ 9 "Father/mother-in-law" 10 "Grandparent" 11 "Uncle/aunt" 12 "Nephew/niece" /*
*/ 13 "Cousin" 14 "Great-grandchild" 15 "Other family" 16 "Household help" /*
*/ 17 "Lodger" 18 "Friend" 999 "Dont know"
lab val Relation Relation

lab def Sex 1 "Male" 2 "Female"
lab val Sex Sex

lab def HighestL 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 

lab val HighestL HighestL

lab def MaritalS 1 "Married" 2 "Living together" 3 "Separated" 4 "Divorced" 5 "Widowed" 6 "Never married"
lab val MaritalS MaritalS

lab def Province 1 "Western cape" 2 "Eastern cape" 3 "Northern Cape" /*
*/ 4 "Free state" 5 "Kwazulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" /*
*/ 9 "Northern Province" 999 "Dont know"
lab val Province Province

lab def OftenVis 1 "Daily" 2 "Weekly" 3 "A few times a month" 4 "Monthly" 5 "A few times a year" 6 "Annually" 7 "Less often" 8 "Not applicable" 999 "Don't know"
lab val OftenVis OftenVis

lab val Employed Househo1

save "$out\SAIFS 1999 Olderreceive_01d.dta", replace

use "SAIFS 1999 Olderregjob_01d.dta", clear
save "$out\SAIFS 1999 Olderregjob_01d.dta", replace


use "SAIFS 1999 Oldersat_01d.dta", clear

lab def G11 1 "Yes" 2 "No" 998 "Refuses to say" 999 "Don't know"
lab def G12 1 "Daily" 2 "Weekly" 3 "A few times a month" 4 "Monthly" 5 "A few times a year" 6 "Annually" 7 "Less often" 8 "Not applicable" 999 "Don't know"

foreach x of varlist Church Social Choir SeniorCe Labour Professi SportsCl Othersat {
lab val `x' G11
}
foreach x of varlist ChurchOf SocialOf ChoirOft SeniorC1 LabourOf Profess1 SportsC1 OtherOft {
lab val `x' G12
}
*

lab def G21 1 "Yes" 2 "No" 999 "Don't know"
foreach x of varlist FamilyRe-ShareWor {
lab val `x' G21
}
*
lab def FirstPer 1 "Head" /*
*/ 2 "Spouse/partner" /*
*/ 3 "Son/daughter" /*
*/ 4 "Son/daughter-in-law" /*
*/ 5 "Grandchild" /*
*/ 6 "Brother/sister" /*
*/ 7 "Brother/sister-in-law" /*
*/ 8 "Father/mother" /*
*/ 9 "Father/mother-in-law " /*
*/ 10 "Grandparent" /*
*/ 11 "Uncle/aunt" /*
*/ 12 "Nephew/niece" /*
*/ 13 "Cousin" /*
*/ 14 "Great-grandchild" /*
*/ 15 "Other family" /*
*/ 16 "Household help" /*
*/ 17 "Lodger" /*
*/ 18 "Friend" /*
*/ 19 "Neighbor" /*
*/ 20 "Co-worker " /*
*/ 21 "Religious leader" /*
*/ 22 "Community leader " /*
*/ 999 "Dont know"
lab val FirstPer FirstPer

lab def OftenSpe 1 "Daily" 2 "Weekly" 3 "A few times a month" 4 "Monthly" 5 "A few times a year" 6 "Annually" 7 "Less often" 8 "Not applicable" 999 "Don't know"
lab val OftenSpe OftenSpe

lab def Religion 1 "Very important" 2 "Somewhat important" 3 "Not important" 4 "No religion" 998 "Refuses to say" 999 "Don't know"
lab val Religion Religion

lab def Religio1 1 "Catholic" 2 "Protestant" 3 "Muslim" 4 "Hindu" 5 "African independent" 6 "Pentecostal" 7 "Traditional African religion" 996 "Othert" 998 "Refuses" 999 "Don't know"
lab val Religio1 Religio1

lab def CrimeVic 1 "Yes" 2 "No" 999 "Don't know"
lab val CrimeVic CrimeVic

lab def Vote1994 1 "Yes" 2 "No" 997 "Can't remember" 998 "Refuses to say" 999 "Don't know"
lab val Vote1994 Vote1994
lab val Vote1999 Vote1994

save "$out\SAIFS 1999 Oldersat_01d.dta", replace


use "SAIFS 1999 Oldertell_01d.dta", clear

lab def Person 1 "Family member" 2 "Doctor/nurse" 3 "Counselor" 4 "Religious/Imam" 5 "Comunity leader" 6 "Sangoma" 7 "Kept to myself" 996 "Other" 998 "Refuses to say" 999 "Don't know"
lab val Person Person

*lab def Othtell 1 "A lot" 2 "Some" 3 "A little" 4 "Not at all" 998 "Refuses to say" 999 "Don't know"
*lab val Othtell Othtell

save "$out\SAIFS 1999 Oldertell_01d.dta", replace


use "SAIFS 1999 Olderwomen_01d.dta", clear

lab def EverMain 1 "Yes" 2 "No"
lab val EverMain EverMain
lab val Currentl EverMain

lab def GrantFro 1 "Government" 2 "Father of child"
lab val GrantFro GrantFro

lab val SameAmou EverMain

lab def Regulari 1 "Very regularly" 2 "Regulary" 3 "Not regularly"
lab val Regulari Regulari

lab val ReducedO EverMain

lab def GrantFor 1 "For respondents only" 2 "For children only" 3 "For respondents and children only"
lab val GrantFor GrantFor

lab val AnotherG EverMain

lab def PrevGran 1 "Governement" 2 "Father of Child"
lab val PrevGran PrevGran

lab def Amount2Y 997 "Does not remember" 999 "N/A"
lab val Amount2Y Amount2Y
lab val AmountLa Amount2Y

lab val LastYear PrevGran
lab val PrevGra1 GrantFor

lab val ApplyNew EverMain

save "$out\SAIFS 1999 Olderwomen_01d.dta", replace


use "SAIFS 1999 Yincome.dta", clear
save "$out\SAIFS 1999 Yincome.dta", replace


use "SAIFS 1999 Youngerchilddeath_03d.dta", clear
save "$out\SAIFS 1999 Youngerchilddeath_03d.dta", replace

use "SAIFS 1999 Youngerchildrena_03d.dta", clear
save "$out\SAIFS 1999 Youngerchildrena_03d.dta", replace

use "SAIFS 1999 Youngerexpend_03d.dta", clear
save "$out\SAIFS 1999 Youngerexpend_03d.dta", replace


use "SAIFS 1999 Youngergivemon_03d.dta", clear

lab def Househo1 1 "Yes" 2 "No"
lab val Househo1 Househo1

lab def Relation 1 "Head" 2 "Spouse/partner" 3 "Son/daughter" 4 "Son/daughter-in-law" /*
*/ 5 "Grandchild" 6 "Brother/sister" 7 "Brother/sister-in-law" 8 "Father/mother" /*
*/ 9 "Father/mother-in-law" 10 "Grandparent" 11 "Uncle/aunt" 12 "Nephew/niece" /*
*/ 13 "Cousin" 14 "Great-grandchild" 15 "Other family" 16 "Household help" /*
*/ 17 "Lodger" 18 "Friend" 999 "Dont know"
lab val Relation Relation

lab def Sex 1 "Male" 2 "Female"
lab val Sex Sex

lab def HighestE 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 

lab val HighestE HighestE

lab def MaritalS 1 "Married" 2 "Living together" 3 "Separated" 4 "Divorced" 5 "Widowed" 6 "Never married"
lab val MaritalS MaritalS

lab def Province 1 "Western Cape" 2 "Eastern Cape" 3 "Nothern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" /*
*/ 7 "Gauteng" 8 "Mpumalanga" 9 "Northern Province" 999 "Don't know"
lab val Province Province

lab def HowOften 1 "Daily" 2 "Weekly" 3 "A few times a month" 4 "Monthly" 5 "A few times a year" 6 "Annually" 7 "Less often" 8 "Not applicable" 999 "Don't know"
lab val HowOften HowOften

lab def WhyGiveM 1 "Excellent" 2 "Good" 3 "Average" 4 "Poor" 5 "Very poor" 999 "Don't know"
*lab val WhyGiveM WhyGiveM

save "$out\SAIFS 1999 Youngergivemon_03d.dta", replace


use "SAIFS 1999 Youngerhealth_03d.dta", clear

*Variable label refers to I* as opposed to H* in the questionnaire
lab def Health 1 "Yes" 2 "No"
lab val Health Health

lab def H17a 1 "Yes" 2 "No" 
lab def H17b 1 "In past 12 months" 2 ">12 months ago" 999 "Don't know"
lab def H17c 1 "Yes" 2 "No" 999 "Don't know"

foreach x of varlist HeartTro Stroke Cholestr Diabetes Emphysem Asthma Cancer {
lab val `x' H17a
}
foreach x of varlist HeartTr1 StrokeFi Cholest1 Diabete1 Emphyse1 AsthmaFi CancerFi {
lab val `x' H17b
}
foreach x of varlist HeartTr2 StrokeMe Cholest2 Diabete2 Emphyse2 AsthmaMe CancerMe {
lab val `x' H17c
}
*
lab def yesno 1 "Yes" 2 "No"

foreach x of varlist LostWeig- StillTak {
lab val `x' yesno
}
*
lab val TB H17a
lab val FirstTim H17b
lab val Medicati H17c

lab val Fallen yesno

foreach x of varlist DayHospi DayHosp1 MobileCl MobileC1 Governme Governm1 PrivateH Private1 PrivateD PrivatDo Chemist ChemistS Healer HealerSa Dentist DentistS Nurse NurseSat Person PersonSa {
lab val `x' yesno
}
*

lab def H19 1 "Yes" 2 "No" 999 "Don't know"
lab val RoutineC H19
lab val BloodPre H19

lab def BloodPr1 1 "High" 2 "Normal" 3 "Low" 4 "Doctor didnt say" 999 "Don't know"
lab val BloodPr1 BloodPr1

lab val MedicalS yesno

lab def PayedBy 1 "Respondent" 2 "Family" 3 "Medical Aid" 4 "Employer" 5 "Provided at clinic" 996 "Other" 999 "Don't know"
lab val PayedBy PayedBy

save "$out\SAIFS 1999 Youngerhealth_03d.dta", replace


use "SAIFS 1999 Youngerhelp_03d.dta", clear
save "$out\SAIFS 1999 Youngerhelp_03d.dta", replace


use "SAIFS 1999 Youngerjob_03d.dta", clear
lab def Job 1 "Yes" 2 "No"
lab val Job Job
save "$out\SAIFS 1999 Youngerjob_03d.dta", replace

use "SAIFS 1999 Youngerlang_03d.dta", clear
lab def Language 1 "English" 2 "Xhosa" 3 "Afrikaans" 4 "Southern Sotho" 5 "Northern Sotho" 6 "Tswana" /*
*/ 7 "Swazi" 8 "Shangaan/Tsonga" 9 "Zulu" 10 "Ndebele" 11 "Venda" 12 "Indian language" 996 "Other"
lab val Language Language
save "$out\SAIFS 1999 Youngerlang_03d.dta", replace


use "SAIFS 1999 Youngermentalhea_03d.dta", clear

lab def J1 1 "Hardly ever" 2 "Some of the time" 3 "Most of the time"

foreach x of varlist Miserabl - CouldNot {
lab val `x' J1
}
*
lab def J2 1 "Yes" 2 "No" 998 "Refuses to say" 999 "Don't know"
lab val Past12Mo J2
lab val Past12M1 J2

lab def PeriodEn 1 "Ended" 2 "Still going on" 998 "Refuses to say" 999 "Don't know"
lab val PeriodEn PeriodEn

lab val WorryMos J2
lab val Difficul J2
lab val Differen J2

lab def Problems 1 "A lot" 2 "Some" 3 "A little" 4 "Not at all" 998 "Refuses to say" 999 "Don't know"
lab val Problems Problems

lab def MemoryLo 1 "Yes" 2 "No" 998 "Refuses to say" 999 "Don't know"
lab val MemoryLo MemoryLo

lab val Smoke J2

lab def AmountCi 1 "1-9" 2 "10-19" 3 "20-40" 4 "More than 4" 998 "Refuses to say" 999 "Don't know"
lab val AmountCi AmountCi

lab val Regularl MemoryLo
lab val DrinkAlc J2
lab val DrinkOnc J2
lab val AnyoneDr J2

save "$out\SAIFS 1999 Youngermentalhea_03d.dta", replace


use "SAIFS 1999 Youngermentell_03d.dta", clear

lab def TellAnyo 1 "Family member" 2 "Doctor/nurse" 3 "Counselor" 4 "Religious/Imam" 5 "Comunity leader" 6 "Sangoma" 7 "Kept to myself" 996 "Other" 998 "Refuses to say" 999 "Don't know"
lab val TellAnyo TellAnyo

save "$out\SAIFS 1999 Youngermentell_03d.dta", replace


use "SAIFS 1999 Youngermod_03d.dta", clear

lab def Answerin 1 "Respondent" 2 "Proxy"
lab val Answerin Answerin

lab def HighestL 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 
lab val HighestL HighestL

lab def StillSch 1 "Yes" 2 "No"
lab val StillSch StillSch

lab val Children StillSch
lab val InBusine StillSch

lab def LookingF 1 "Yes" 2 "No" 999 "Don't know"
lab val LookingF LookingF

lab val InsideGi LookingF
lab val SavingsA LookingF
lab val Particip LookingF
lab val GivenMon LookingF

lab def Comprehe 1 "Excellent" 2 "Good" 3 "Average" 4 "Poor" 5 "Very poor"
lab val Comprehe Comprehe
lab val Cooperat Comprehe

lab def Assistan 1 "No assistance" 2 "Help with some" 3 "Help with most"
lab val Assistan Assistan

save "$out\SAIFS 1999 Youngermod_03d.dta", replace


use "SAIFS 1999 Youngernextvisit_03d.dta", clear
save "$out\SAIFS 1999 Youngernextvisit_03d.dta", replace

use "SAIFS 1999 Youngeroddjo_03d.dta", clear
save "$out\SAIFS 1999 Youngeroddjo_03d.dta", replace

use "SAIFS 1999 Youngerpresent_03d.dta", clear
save "$out\SAIFS 1999 Youngerpresent_03d.dta", replace


use "SAIFS 1999 Youngerreceivemoney_03d.dta", clear

lab def Househo1 1 "Yes" 2 "No"
lab val Househo1 Househo1

lab def Relation 1 "Head" 2 "Spouse/partner" 3 "Son/daughter" 4 "Son/daughter-in-law" /*
*/ 5 "Grandchild" 6 "Brother/sister" 7 "Brother/sister-in-law" 8 "Father/mother" /*
*/ 9 "Father/mother-in-law" 10 "Grandparent" 11 "Uncle/aunt" 12 "Nephew/niece" /*
*/ 13 "Cousin" 14 "Great-grandchild" 15 "Other family" 16 "Household help" /*
*/ 17 "Lodger" 18 "Friend" 999 "Dont know"
lab val Relation Relation

lab def Sex 1 "Male" 2 "Female"
lab val Sex Sex

lab def Educatio 0 "No education" /*
*/ 1 "Sub A/Sub B/Std 1" /*
*/ 2 "Std 2" /*
*/ 3 "Std 3" /*
*/ 4 "Std 4" /*
*/ 5 "Std 5" /*
*/ 6 "Std 6/Form 1" /*
*/ 7 "Std 7/Form 2" /*
*/ 8 "Std 8/Form 3/Jr. cert" /*
*/ 9 "Std 9/Form 4" /*
*/ 10 "Std 10/Form 5/Sr. cert" /*
*/ 11 "Std 7/8/9 + Diploma" /*
*/ 12 "Std 10 + Teacher training" /*
*/ 13 "Std 10 + Nursing" /*
*/ 14 "Std 10 + Technikon" /*
*/ 15 "Std 10 + Some university" /*
*/ 16 "Completed university" /*
*/ 999 "Dont know" 
lab val Educatio Educatio

lab def MaritalS 1 "Married" 2 "Living together" 3 "Separated" 4 "Divorced" 5 "Widowed" 6 "Never married"
lab val MaritalS MaritalS

lab def Province 1 "Western Cape" 2 "Eastern Cape" 3 "Nothern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" /*
*/ 7 "Gauteng" 8 "Mpumalanga" 9 "Northern Province" 999 "Don't know"
lab val Province Province

lab def OftenVis 1 "Daily" 2 "Weekly" 3 "A few times a month" 4 "Monthly" 5 "A few times a year" 6 "Annually" 7 "Less often" 8 "Not applicable" 999 "Don't know"
lab val OftenVis OftenVis

lab def Employed 1 "Yes" 2 "No"
lab val Employed Employed

save "$out\SAIFS 1999 Youngerreceivemoney_03d.dta", replace


use "SAIFS 1999 Youngerregularjob_03d.dta", clear
save "$out\SAIFS 1999 Youngerregularjob_03d.dta", replace


use "SAIFS 1999 Youngerselfemp_03d.dta", clear
save "$out\SAIFS 1999 Youngerselfemp_03d.dta", replace


use "SAIFS 1999 Youngersocialintegration_03d.dta", clear

lab def K31 1 "Yes" 2 "No" 998 "Refuses to say" 999 "Don't know"
lab def K32 1 "Daily" 2 "Weekly" 3 "A few times a month" 4 "Monthly" 5 "A few times a year" 6 "Annually" 999 "Don't know"

foreach x of varlist ChurchMe SocialCh ChoirMem SeniorCe LabourUn Associat SportMem OtherMem {
lab val `x' K31
}
foreach x of varlist ChurchPa SocialC1 ChoirPar SeniorC1 LabourU1 Associa1 SportPar OtherPar {
lab val `x' K32
}
*
lab def K4 1 "Yes" 2 "No" 999 "Don't know"

foreach x of varlist FamilyRe-ShareWor { 
lab val `x' K4
}
*
lab def FirstPer 1 "Head" /*
*/ 2 "Spouse/partner" /*
*/ 3 "Son/daughter" /*
*/ 4 "Son/daughter-in-law" /*
*/ 5 "Grandchild" /*
*/ 6 "Brother/sister" /*
*/ 7 "Brother/sister-in-law" /*
*/ 8 "Father/mother" /*
*/ 9 "Father/mother-in-law " /*
*/ 10 "Grandparent" /*
*/ 11 "Uncle/aunt" /*
*/ 12 "Nephew/niece" /*
*/ 13 "Cousin" /*
*/ 14 "Great-grandchild" /*
*/ 15 "Other family" /*
*/ 16 "Household help" /*
*/ 17 "Lodger" /*
*/ 18 "Friend" /*
*/ 19 "Neighbor" /*
*/ 20 "Co-worker " /*
*/ 21 "Religious leader" /*
*/ 22 "Community leader " /*
*/ 999 "Dont know"
lab val FirstPer FirstPer

lab def HowOften 1 "Daily" 2 "Weekly" 3 "A few times a month" 4 "Monthly" 5 "A few times a year" 6 "Once a year"
lab val HowOften HowOften

lab def Religion 1 "Very important" 2 "Somewhat important" 3 "Not important" 4 "No religion" 998 "Refuses to say" 999 "Don't know"
lab val Religion Religion

lab def WhatReli 1 "Catholic" 2 "Protestant" 3 "Muslim" 4 "Hindu" 5 "African independent" 6 "Pentecostal" 7 "Traditional African religion" 996 "Othert" 998 "Refuses" 999 "Don't know"
lab val WhatReli WhatReli

lab def Past12Mo 1 "Yes" 2 "No" 999 "Don't know"
lab val Past12Mo Past12Mo

lab def Vote1994 1 "Yes" 2 "No" 997 "Can't remember" 998 "Refuses to say" 999 "Don't know"
lab val Vote1994 Vote1994
lab val Vote1999 Vote1994

save "$out\SAIFS 1999 Youngersocialintegration_03d.dta", replace



use "SAIFS 1999 Youngerwoman_03d.dta", clear

lab def EverRece 1 "Yes" 2 "No"
lab val EverRece EverRece
lab val Currentl EverRece

lab def GrantFro 1 "Government" 2 "Father of child"
lab val GrantFro GrantFro

lab val SameAmou EverRece

lab def Regular 1 "Very regularly" 2 "Regulary" 3 "Not regularly"
lab val Regular Regular

lab val GrantCou EverRece

lab def GrantPar 1 "For respondents only" 2 "For children only" 3 "For respondents and children only"
lab val GrantPar GrantPar

lab val ReceiveB EverRece

lab def PrevGran 1 "Governement" 2 "Father of Child"
lab val PrevGran PrevGran

lab def ReceiveT 997 "Does not remember" 999 "N/A"
lab val ReceiveT ReceiveT
lab val ReceiveL ReceiveT

lab val LastYear PrevGran
lab val PrevGra1 GrantFor

lab val AppliedN EverRece


save "$out\SAIFS 1999 Youngerwoman_03d.dta", replace

/*
cd "$out"
fs *.dta
foreach f in `r(files)' {
    use `"`f'"', clear
    cap valtovar _all, no d
	save `"`f'"', replace
}
